
// (c) COPYRIGHT URI/MIT 1997-98
// Please read the full copyright statement in the file COPYRIGHT.  
//
// Authors: reza (Reza Nekovei)

// FreeFrom sub-class implementation for FFByte,...FFGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 6/18/97

#include "config_ff.h"

static char rcsid[] not_used ={"$Id: FFList.cc,v 1.7.8.1 2003/09/06 23:33:14 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include "InternalErr.h"
#include "FFList.h"

List *
NewList(const string &n, BaseType *v)
{
    return new FFList(n, v);
}

BaseType *
FFList::ptr_duplicate()
{
    return new FFList(*this);
}

FFList::FFList(const string &n, BaseType *v) : List(n, v)
{
}

FFList::~FFList()
{
}

#if 0
bool 
FFList::read(const string &)
{
  throw InternalErr(__FILE__, __LINE__, "Unimplemented read method called.");
}
#endif

// $Log: FFList.cc,v $
// Revision 1.7.8.1  2003/09/06 23:33:14  jimg
// I modified the read() method implementations so that they test the new
// in_selection property. If it is true, the methods will read values
// even if the send_p property is not true. This is so that variables used
// in the selection part of the CE, or as function arguments, will be read.
// See bug 657.
//
// Revision 1.7  2000/10/11 19:37:56  jimg
// Moved the CVS log entries to the end of files.
// Changed the definition of the read method to match the dap library.
// Added exception handling.
// Added exceptions to the read methods.
//
// Revision 1.6  1999/05/27 17:02:22  jimg
// Merge with alpha-3-0-0
//
// Revision 1.5.2.1  1999/05/20 21:41:36  edavis
// Fix spelling of COPYRIGHT and remove some #if 0 stuff.
//
// Revision 1.5  1999/05/04 02:55:36  jimg
// Merge with no-gnu
//
// Revision 1.4.12.1  1999/05/01 04:40:29  brent
// converted old String.h to the new std C++ <string> code
//
// Revision 1.4  1998/08/13 20:24:30  jimg
// Fixed read mfunc semantics
//
// Revision 1.3  1998/04/21 17:13:55  jimg
// Fixes for warnings, etc
//
// Revision 1.2  1998/04/16 18:11:12  jimg
// Sequence support added by Reza
